/**
 * loggingManagementControlplane API
 * loggingManagementControlplane API specification
 * OpenAPI spec version: 20200531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of a log saved search that can be used to save and share a given search result.
 *
 */
export interface LogSavedSearchSummary {
    /**
     * The OCID of the resource.
     */
    "id": string;
    /**
     * The OCID of the compartment that the resource belongs to.
     */
    "compartmentId": string;
    /**
     * The display name of a user-friendly name. It has to be unique within enclosing resource,
     * and it's changeable. Avoid entering confidential information.
     *
     */
    "name": string;
    /**
     * Time the resource was created.
     */
    "timeCreated"?: Date;
    /**
     * True if the LogSavedSearch should be show as quickstart in the UI
     */
    "isQuickStart": boolean;
    /**
     * Time the resource was last modified.
     */
    "timeLastModified"?: Date;
    /**
     * The state of the LogSavedSearch
     *
     */
    "lifecycleState"?: model.LogSavedSearchLifecycleState;
}
export declare namespace LogSavedSearchSummary {
    function getJsonObj(obj: LogSavedSearchSummary): object;
}
