/**
 * loggingManagementControlplane API
 * loggingManagementControlplane API specification
 * OpenAPI spec version: 20200531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * source parser object.
 */
export interface UnifiedAgentParser {
    /**
     * Specify time field for event time. If the event doesn't have this field, current time is used.
     */
    "fieldTimeKey"?: string;
    /**
     * Specify types for converting field into other type.
     */
    "types"?: {
        [key: string]: string;
    };
    /**
     * Specify null value pattern
     */
    "nullValuePattern"?: string;
    /**
     * If true, empty string field is replaced with nil
     */
    "isNullEmptyString"?: boolean;
    /**
     * If true, use Fluent::EventTime.now(current time) as a timestamp when time_key is specified
     */
    "isEstimateCurrentEvent"?: boolean;
    /**
     * If true, keep time field in the record.
     */
    "isKeepTimeKey"?: boolean;
    /**
     * Specify timeout for parse processing. This is mainly for detecting wrong regexp pattern.
     */
    "timeoutInMilliseconds"?: number;
    "parserType": string;
}
export declare namespace UnifiedAgentParser {
    function getJsonObj(obj: UnifiedAgentParser): object;
}
